com.r3corda.core.contracts / FixableDealState

# FixableDealState

`interface FixableDealState : DealState`

Interface adding fixing specific methods

### Inherited Properties

parties | `abstract val parties: Array<Party>` Exposes the Parties involved in a generic way
ref | `abstract val ref: String` Human readable well known reference (e.g. trade reference)

### Functions

generateFix | `abstract fun generateFix(ptx: TransactionBuilder, oldStateRef: StateRef, fix: Fix): Unit` Generate a fixing command for this deal and fix
nextFixingOf | `abstract fun nextFixingOf(): FixOf?` When is the next fixing and what is the fixing for?

### Inherited Functions

generateAgreement | `abstract fun generateAgreement(): TransactionBuilder` Generate a partial transaction representing an agreement (command) to this deal, allowing a general deal/agreement protocol to generate the necessary transaction for potential implementations
withPublicKey | `abstract fun withPublicKey(before: Party, after: PublicKey): DealState`

### Extension Functions

hash | `fun ContractState.hash(): SecureHash` Returns the SHA-256 hash of the serialised contents of this state (not cached)
label | `infix fun ContractState.label(label: String): LabeledOutput`

### Inheritors

State | `data class State : FixableDealState` The state class contains the 4 major data classes